Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.pdf2office.PDF2Office Class Reference
Inheritance diagram for com.foxit.sdk.addon.conversion.pdf2office.PDF2Office:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static String | getVersion () throws com.foxit.sdk.PDFException
| Get the version of Foxit PDF Conversion SDK. More...
static void | initialize (String library_path, String fx_engine_path) throws com.foxit.sdk.PDFException
| Initialize Foxit PDF Conversion. More...
static void | release () throws com.foxit.sdk.PDFException
| Release all resource allocated by Foxit PDF Conversion. More...
static boolean | setConvertCheckCallback (ConvertCheckCallback convert_check_callback)
| Set the callback object to check the PDF to Office conversion conditions. More...
static Progressive | startConvertToExcel (String src_pdf_path, String src_pdf_password, String saved_excel_file_path, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a Excel format file. Function PDF2Office.initialize must be called before calling this function. More...
static Progressive | startConvertToExcel (FileReaderCallback src_pdf_reader, String src_pdf_password, StreamCallback saved_excel_file_stream, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a Excel format file. Function PDF2Office.initialize must be called before calling this function. More...
static Progressive | startConvertToPowerPoint (String src_pdf_path, String src_pdf_password, String saved_ppt_file_path, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a PowerPoint format file. Function PDF2Office.initialize must be called before calling this function. More...
static Progressive | startConvertToPowerPoint (FileReaderCallback src_pdf_reader, String src_pdf_password, StreamCallback saved_ppt_file_stream, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a PowerPoint format file. Function PDF2Office.initialize must be called before calling this function. More...
static Progressive | startConvertToWord (String src_pdf_path, String src_pdf_password, String saved_word_file_path, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a Word format file. Function PDF2Office.initialize must be called before calling this function. More...
static Progressive | startConvertToWord (FileReaderCallback src_pdf_reader, String src_pdf_password, StreamCallback saved_word_file_stream, PDF2OfficeSettingData setting_data, ConvertCallback convert_callback) throws com.foxit.sdk.PDFException
| Start to convert a PDF file to a Word format file. Function PDF2Office.initialize must be called before calling this function. More...

## Detailed Description

This class can be used to convert PDF files to Office(Word, Excel or PowerPoint) format files. Before using "Conversion" module, please ensure the resource folders named "res" and "lib" in the Foxit PDF Conversion SDK package is valid. Before using methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.initialize with a key including "PDF2Office" module.

See also
  com.foxit.sdk.common.Library

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getVersion()

static String com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.getVersion | ( |  | ) | throws com.foxit.sdk.PDFException
| static

Get the version of Foxit PDF Conversion SDK.

This function should be called after the function PDF2Office.initialize has been called successfully.

Returns
  A string which contains the version information of Foxit PDF Conversion SDK.

## ◆ initialize()

static void com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.initialize | ( | String | library_path,
|  | String | fx_engine_path
| ) |  | throws com.foxit.sdk.PDFException
| static

Initialize Foxit PDF Conversion.

During the life-cycle of "PDF2Office" module, this function can only be called once and should be called first before any other functions in "PDF2Office" module can be called.

Parameters

  [in] | library_path | Path of Foxit PDF Conversion SDK library. This should not be an empty string.
  [in] | fx_engine_path | Path of Foxit PDF Conversion engine. It can be an empty string. If the parameter is empty, PDF Conversion SDK library will be called directly for PDF to Office conversion, otherwise Foxit PDF Conversion SDK library will be called through the Foxit PDF Conversion engine for PDF to Office conversion.

Returns
  None.

Note
  If module "PDF2Office" is not defined in the license information which is used in function common.Library.initialize , that means user has no right in using PDF2Office related functions and this function will throw exception com.foxit.sdk.common.Constants.e_ErrNoPDF2OfficeModuleRight .

## ◆ release()

static void com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.release | ( |  | ) | throws com.foxit.sdk.PDFException
| static

Release all resource allocated by Foxit PDF Conversion.

When the user does not use "pdf2office" module, this function should be called to release all memory blocks allocated by the library.

Returns
  None.

## ◆ setConvertCheckCallback()

static boolean com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.setConvertCheckCallback | ( | ConvertCheckCallback | convert_check_callback | ) |
| static

Set the callback object to check the PDF to Office conversion conditions.

This method allows you to specify a custom convert check callback that will be called to evaluate whether the conversion from PDF to Office should proceed, based on user-defined logic , when the required permissions for converting the PDF documents are not met.

Parameters

  [in] | convert_check_callback | A customized convert check callback which is implemented based on callback class ConvertCheckCallback . If this is null, customized convert check callback will be removed and default convert check will be used instead.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCheckCallback will be not work, and it will use the internal ConvertCheckcallbacks to allow conversion.

Returns
  true means success, while false means failure.

## ◆ startConvertToExcel() [1/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToExcel | ( | String | src_pdf_path,
|  | String | src_pdf_password,
|  | String | saved_excel_file_path,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a Excel format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to XLSX format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_excel_file_path | Path of the saved Excel format file as conversion result. This should not be an empty string. If the suffix name of the saved Excel format file is not "xlsx", a new suffix named "xlsx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Excel format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.

## ◆ startConvertToExcel() [2/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToExcel | ( | FileReaderCallback | src_pdf_reader,
|  | String | src_pdf_password,
|  | StreamCallback | saved_excel_file_stream,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a Excel format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to XLSX format file.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_excel_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted Excel format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Excel format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.

## ◆ startConvertToPowerPoint() [1/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToPowerPoint | ( | String | src_pdf_path,
|  | String | src_pdf_password,
|  | String | saved_ppt_file_path,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a PowerPoint format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to PPTX format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_ppt_file_path | Path of the saved PowerPoint format file as conversion result. This should not be an empty string. If the suffix name of the saved PowerPoint format file is not "pptx", a new suffix named "pptx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Power Point format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.

## ◆ startConvertToPowerPoint() [2/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToPowerPoint | ( | FileReaderCallback | src_pdf_reader,
|  | String | src_pdf_password,
|  | StreamCallback | saved_ppt_file_stream,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a PowerPoint format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to PPTX format file.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_ppt_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted PowerPoint format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Power Point format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.

## ◆ startConvertToWord() [1/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToWord | ( | String | src_pdf_path,
|  | String | src_pdf_password,
|  | String | saved_word_file_path,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a Word format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to DOCX format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_word_file_path | Path of the saved Word format file as conversion result. This should not be an empty string. If the suffix name of the saved Word format file is not "docx", a new suffix named "docx" will be added to the original file name.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.

## ◆ startConvertToWord() [2/2]

static Progressive com.foxit.sdk.addon.conversion.pdf2office.PDF2Office.startConvertToWord | ( | FileReaderCallback | src_pdf_reader,
|  | String | src_pdf_password,
|  | StreamCallback | saved_word_file_stream,
|  | PDF2OfficeSettingData | setting_data,
|  | ConvertCallback | convert_callback
| ) |  | throws com.foxit.sdk.PDFException
| static

Start to convert a PDF file to a Word format file. Function PDF2Office.initialize must be called before calling this function.

Currently only support converting to DOCX format file.

Parameters

  [in] | src_pdf_reader | A FileReaderCallback object which is implemented by user to load a PDF document. It should not be null.
  [in] | src_pdf_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_word_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted Word format file. It should not be null.
  [in] | setting_data | Setting data used for converting.If the parameter page_range of PDF2OfficeSettingData object is empty, that means convert each page of the PDF file to Word format file.
  [in] | convert_callback | A com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object which is implemented by user to pause and notify the conversion progress during the converting process. This can be null which means not to pause and notify the conversion progress. If this is not null, it should be a valid com.foxit.sdk.addon.conversion.pdf2office.ConvertCallback object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

Note
  When Foxit PDF Conversion engine is set by function PDF2Office.initialize , the ConvertCallback will be not work.